PUFFS(4)

NAME
puffs - Pass-to-Userspace Framework File System

SYNOPSIS
file-system PUFFS
pseudo-device putter

DESCRIPTION
puffs provides a framework for creating file systems as userspace servers. The in-kernel VFS attachment is controlled through a special device node, /dev/puffs. People looking to implement file systems should use the system through the convenience library described in puffs(3).

  Termination
A puffs file system can be unmounted regularly using umount(8). The file system will automatically be unmounted in case the userspace server is killed or the control file descriptor closed.

SEE ALSO
puffs(3)

HISTORY
An unsupported experimental version of puffs first appeared in NetBSD 4.0. A stable version appeared in NetBSD 5.0.

AUTHORS
Antti Kantee <pooka@iki.fi>